package com.ruoyi.xq.manager.systemconfig;

public class BooleanSystemConfigCheck implements ISystemConfigCheck {
    @Override
    public SystemCheckResp check(String value) {
        if(value == null){
            return SystemCheckResp.fail("该配置必填");
        }
        if(!value.equals("1") && !value.equals("0")){
            return SystemCheckResp.fail("请填写1或者0【1表示确定，0表示否定】");
        }
        return SystemCheckResp.ok();
    }
}
